Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.util
Class DefaultErrorHandler

    java.lang.Object
      org.jivesoftware.util.log.util.DefaultErrorHandler

All Implemented Interfaces:
  ErrorHandler

    public class DefaultErrorHandler

extends Object
implements ErrorHandler

Handle unrecoverable errors that occur during logging by writing to standard error.

Author:
  Peter Donald

Constructor Summary
`DefaultErrorHandler()`

Method Summary
`void` | `error(String message, Throwable throwable, LogEvent event)` Log an unrecoverable error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler()

Method Detail

### error

    public void error(String message,
                      Throwable throwable,
                      LogEvent event)

  Log an unrecoverable error.

  Specified by:
    `error` in interface `ErrorHandler`
  Parameters:
    `message` - the error message
    `throwable` - the exception associated with error (may be null)
    `event` - the LogEvent that caused error, if any (may be null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.